Bug 476128 - Unable to install packages to registered system if also scheduling remote command
Unable to install packages to registered system if also scheduling remote com...
Status: CLOSED WONTFIX
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Configuration Management (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Clifford Perry
Red Hat Satellite QA List
: Triaged
Depends On:
Blocks: 462714 479461
  Show dependency treegraph
 
Reported: 2008-12-11 21:03 EST by Jeff Browning
Modified: 2014-05-09 06:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-09 06:38:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Browning 2008-12-11 21:03:08 EST
Description of problem:
When using the system details menus to schedule a software package install, the installation will not complete if you also elect to run a remote command before the installation.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Go to the Software tab for your system
2. Go to the package install page
3. Select packages to install
4. Click the remote command button
5. Enter a remote command
6. Schedule the action
7. Run rhn_check on the target system if needed
8. Check the results
  
Actual results:
The remote command runs, but the packages fail to install. The same packages will install fine if you repeat the process but leave out the remote command.

Expected results:
Remote command should run and packages should install without a problem.

-----
System History Event
Summary: 	Package Install scheduled by admin
Details: 	This action will be executed after 12/11/08 8:56:00 PM EST.

This action's status is: Failed.
This action has not yet been picked up.
Packages Scheduled:

Time: 	12/11/08 8:57:19 PM EST
-----
 12/11/08 8:57:29 PM EST 	 invalid action 154 for server 1000010000 
-----

Additional info:
Comment 4 Clifford Perry 2014-05-09 06:38:29 EDT
We have not addressed this specific bug in over 5 years years. This does not seem to have an active customer case with the bug report either. Closing out as wontfix to clear from backlog. 

Please re-open if you disagree and wish further review.

Cliff

Note You need to log in before you can comment on or make changes to this bug.